Discussion:
To Alex Taylor: Update the eCS provided OS/2 toolkit
(too old to reply)
Lars Erdmann
2008-01-22 20:50:02 UTC
Permalink
Raw Message
Hi Alex,

as far as I know you have been preparing the eCS provided OS/2 toolkit.
Can you do the following (I have also filed a bug report against eCS 2.0
beta):

Please:

1.) replace emitxc.dll in SOM\LIB with the emitxc.dll from the Warp 3
toolkit
Reason: the emitcx.dll that comes with the eCS toolkit produces
intermediate files with the same "quirky" filenames as does the
emitc.dll that originally comes with the OS/2 2.45 toolkit (emitc.dll is
already backlevelled to the file that comes with the Warp 3 toolkit)

2.) replace exehdr.exe (and toolsref.inf) in BIN (and in BOOK) with this
exehdr.exe:
www.os2site.com/sw/dev/util/hdrtest.zip
Reason: the exehdr.exe that comes with the eCS toolkit (and also with
the OS/2 2.45 toolkit) often crashes when run against EXEs and DLLs. It
also does not properly support/crashes when marking segments as HIGHMEM
segments (segments loaded in High Memory)
The version of the new exehdr is: Version 4.01.003 Dec 11 2003.


or let me know whom to turn to ...

Lars
Lars Erdmann
2008-01-22 20:59:56 UTC
Permalink
Raw Message
it's me again ....

One correction concerning exehdr.exe:

The exehdr from the eCS toolkit (= the one from the OS/2 2.45 toolkit)
does not even provde HIGHMEM support.
The version of this "old" exehdr.exe is:
Version 4.01.001 Oct 4 2001


Lars
Post by Lars Erdmann
Hi Alex,
as far as I know you have been preparing the eCS provided OS/2 toolkit.
Can you do the following (I have also filed a bug report against eCS 2.0
1.) replace emitxc.dll in SOM\LIB with the emitxc.dll from the Warp 3
toolkit
Reason: the emitcx.dll that comes with the eCS toolkit produces
intermediate files with the same "quirky" filenames as does the
emitc.dll that originally comes with the OS/2 2.45 toolkit (emitc.dll is
already backlevelled to the file that comes with the Warp 3 toolkit)
2.) replace exehdr.exe (and toolsref.inf) in BIN (and in BOOK) with this
www.os2site.com/sw/dev/util/hdrtest.zip
Reason: the exehdr.exe that comes with the eCS toolkit (and also with
the OS/2 2.45 toolkit) often crashes when run against EXEs and DLLs. It
also does not properly support/crashes when marking segments as HIGHMEM
segments (segments loaded in High Memory)
The version of the new exehdr is: Version 4.01.003 Dec 11 2003.
or let me know whom to turn to ...
Lars
Alex Taylor
2008-01-23 10:22:13 UTC
Permalink
Raw Message
Post by Lars Erdmann
as far as I know you have been preparing the eCS provided OS/2 toolkit.
Can you do the following (I have also filed a bug report against eCS 2.0
I'll comment on the bugtracker.
--
Alex Taylor
Fukushima, Japan
http://www.cs-club.org/~alex

Please take off hat when replying.
Lars Erdmann
2008-01-23 22:29:45 UTC
Permalink
Raw Message
Post by Alex Taylor
Post by Lars Erdmann
as far as I know you have been preparing the eCS provided OS/2 toolkit.
Can you do the following (I have also filed a bug report against eCS 2.0
I'll comment on the bugtracker.
Ok, I answered.

Loading...